Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.axiom.units
Class UnitConversionValue

    java.lang.Object
      |
      +--theory.smart.foundation.SmartValue
            |
            +--theory.smart.axiom.units.UnitConversionValue

public class UnitConversionValue
extends SmartValue

The Unit Conversion provides the ability to convert from one unit of measurement to any other in the same classification. The category of a unit describes what type quality the unit is measuring (e.g. height, weight, product packaging sizes). For each quantity being converted "to" the count can be used to simplify the implementation of the most common conversions based on a simple ratio. It also provides support the use of individual instance methods so that more complex calculations can be implemented.

See Also:
  `UnitConversion`, `UnitConversionHome`, `UnitConversion.getUnitConversionByValue()`, `UnitConversion.setUnitConversionByValue(UnitConversionValue)`, Serialized Form

Field Summary
`Unit` | `atomic` atomic [UnitConversion] <*>------> [`theory.smart.axiom.units.Unit`]
`java.lang.String` | `category` category [UnitConversion] <*>------> [`String`] (Primary Key)
`com.sun.java.util.collections.TreeMap` | `tos` to (Map) [UnitConversion] <*>------> [`theory.smart.axiom.units.Quantity`] 0..*

Constructor Summary
`protected` | `UnitConversionValue()` Only get/setUnitConversionByValue methods are allowed to call this constructor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### category

    public java.lang.String category

                        category
       [UnitConversion] <*>------> [String] (Primary Key)

### atomic

    public Unit atomic

                        atomic
       [UnitConversion] <*>------> [theory.smart.axiom.units.Unit]

### tos

    public com.sun.java.util.collections.TreeMap tos

                        to (Map)
       [UnitConversion] <*>------> [theory.smart.axiom.units.Quantity]
                           0..*

Constructor Detail

### UnitConversionValue

    protected UnitConversionValue()

  Only get/setUnitConversionByValue methods are allowed to call this constructor.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.